---------------------------------
-----------ventola-----------
---------------------------------
---------------------------------
--------- @author matteo135 ---------
-------- @date  11/07/10 --------
---------------------------------

ventola = {};

function ventola.prerequisitesPresent(specializations)
    return true;
end;

function ventola:load(xmlFile)

	self.drum1= Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.drum#index1"));
	self.drum2= Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.drum#index2"));
        self.drum3= Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.drum#index3"));
    self.drumRotationScale = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.drum#rotationScale"), 1);
end;

function ventola:delete()
end;

function ventola:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ventola:keyEvent(unicode, sym, modifier, isDown)
    
end;

function ventola:update(dt)
		if self:getIsActiveForInput() then
			if InputBinding.hasEvent(InputBinding.IMPLEMENT_EXTRA2) then
				self.isTurnedOn = not self.isTurnedOn;
			end;
		end;
		if self.drum1 ~= nil and self.isTurnedOn then
		rotate(self.drum1, 0, 0, self.drumRotationScale* 24);
	end;	
	if self.drum2 ~= nil and self.isTurnedOn  then
		rotate(self.drum2, self.drumRotationScale* 12, 0, 0);
	end;
        if self.drum3 ~= nil and self.isTurnedOn  then
		rotate(self.drum3, self.drumRotationScale* 12, 0, 0);
	end;
end;

function ventola:draw()
end;

function ventola:onAttach(attacherVehicle)
         
end;

function ventola:onDetach()
         self.isTurnedOn = false;
end;

function ventola:onEnter()
end;

function ventola:onLeave()
end;

function ventola:onActivate()
end;

function ventola:onDeactivate()
end;

function ventola:onDeactivateSounds()
end;

function ventola:addContactReports()
end;

function ventola:removeContactReports()
end;

function ventola:groundContactReport(objectId, otherObjectId, isStart, normalForce, tangentialForce)

end;

function ventola:validateAttacherJoint(implement, jointDesc, dt)
end;